'use strict';

exports.__esModule = true;
exports.getDisplayName = getDisplayName;
exports.isPristine = isPristine;

function getDisplayName(Comp) {
  return Comp.displayName || Comp.name || 'Component';
}

function isPristine(initial, data) {
  if (initial === data) {
    return true;
  }
  if (typeof initial === 'object') {
    if (typeof data !== 'object') {
      return false;
    }
    var dataKeys = Object.keys(data);
    for (var i = 0; i < dataKeys.length; i++) {
      var key = dataKeys[i];
      if (!isPristine(initial[key], data[key])) {
        return false;
      }
    }
  } else if ((initial || data) && /* allow '' to equate to undefined or null */initial !== data) {
    return false;
  }
  return true;
}